# Upload new document to processing

All request headers beginning with **x-idp-ingestion-** will be collected into an exogenous metadata map.
Content of this map is included in the final process result.
Example:
- x-idp-ingestion-user: "John"
- x-idp-ingestion-request-id: "12345"

Endpoint: POST /upload-tiff
Version: 2.1
Security: bearerAuth

## Header parameters:

  - `x-idp-ingestion-*` (any)
    Any header starting with `x-idp-ingestion-` is accepted. Values are aggregated into a map.

  - `channel-reference` (any, required)

  - `channel-name` (any, required)

  - `customer-billing-code` (any)

  - `comparisonId` (any)

  - `ai-pipeline-code` (any)

  - `ai-preset-code` (any)

## Request fields (multipart/form-data):

  - `file` (any, required)

## Response 200 fields (application/json):

  - `processId` (any)

## Response 400 fields (application/problem+json):

  - `type` (any)

  - `title` (any)

  - `status` (any)

  - `detail` (any)

  - `instance` (any)

## Response 412 fields (application/problem+json):

  - `type` (any)

  - `title` (any)

  - `status` (any)

  - `detail` (any)

  - `instance` (any)

